Name:           perl-CLI-Osprey
Version:        0.08
Release:        12%{?dist}
Summary:        MooX::Options + MooX::Cmd + Sanity
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/CLI-Osprey/
Source0:        http://www.cpan.org/authors/id/A/AR/ARODLAND/CLI-Osprey-%{version}.tar.gz

BuildArch:      noarch
# build dependencies
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
# runtime dependencies
BuildRequires:  perl(Carp)
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.100
BuildRequires:  perl(Getopt::Long::Descriptive::Usage)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test dependencies
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Test::Lib)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(lib)
Requires:       perl(Pod::Usage)

%{?perl_default_filter}

%description
CLI::Osprey is a module to assist in writing command-line applications with
M* OO modules (Moose, Moo, Mo). With it, you structure your app as one
or more modules, which get instantiated with the command-line arguments
as attributes. Arguments are parsed using Getopt::Long::Descriptive,
and both long and short help messages as well as complete manual pages
are automatically generated. An app can be a single command with
options, or have sub-commands (like git). Sub-commands can be defined
as modules (with options of their own) or as simple code-refs.

%prep
%setup -q -n CLI-Osprey-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes eg README
%license LICENSE
%{perl_vendorlib}/CLI*
%{_mandir}/man3/CLI*

%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-6
- Perl 5.36 rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 22 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.08-3
- Perl 5.34 rebuild

* Tue May 04 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.08-2
- Take into account review feedback (#1951479)

* Sun Apr 18 2021 Emmanuel Seyman <emmanuel@seyman.fr> 0.08-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
